//! This main file is just for temparary testing
use stringqb::drivers::postgres::Postgres;
use stringqb::query_builder::QueryBuilder;
// use stringqb::types::{SQLType, Type};

fn main() {
    let mut qb = QueryBuilder::new(Postgres::new());

    qb.set("foo", Box::new("bar"))
        .set("bar", Box::new(12))
        .set("baz", Box::new(false))
        .set("fizz", Box::new(12.38))
        .set("buzz", Box::new((1, 2.0, true, 'q')));

    // This just makes me sad
    qb.r#where("foo", "<>", Box::new(2));

    println!("QueryBuilder object: {:#?}", &qb);

    // println!("SQLType mapping: {:#?}", SQLType::SmallInt(32));
    // println!("Type: {:#?}", Type(Box::new(1234567890)));
}
